Kerbal Space Program - Feedback #20236

Reflection Probe Missing in Flight
10/17/2018 05:03 PM - Electrocutor

Status: Closed

Severity: Low

Assignee:

Category: Camera

Target version: 1.6.0

Version: 1.5.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

The VAB/SPH use a static cubemap for the new shader, but there is no cubemap during flight, thus causing any part being 100%
reflective to be black and any partial reflective to blend with black.

I've created a quick, albeit inaccurate fix for this on my own:
1. During GameEvents.onVesselCreate, | add a reflection probe to the vessel gameObiject if one does not exist.
2. The reflection probe is set to real-time, individual-faces, and appropriate cullingMask

While my 'fix' may not be ideal, it at least allows the lighting on the parts that use the new shader to be better.

You can see example screenshots here (the Kerbal is set to be 100% reflective):
https://forum.kerbalspaceprogram.com/index.php?/topic/168795-electrocutors-thread/&do=findComment&comment=3469051

History

#1 - 10/26/2018 09:14 PM - Electrocutor
- Version changed from 1.5.0 to 1.5.1

#2 - 12/14/2018 06:17 PM - nestor
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 12/14/2018 06:17 PM - nestor

- Tracker changed from Bug to Feedback

#4 - 01/18/2019 11:51 PM - nestor
- Status changed from Confirmed to Ready to Test

- Target version set to 1.6.0

#5 - 07/24/2019 11:45 PM - chris.fulton

- Status changed from Ready to Test to Resolved

#6 - 07/24/2019 11:45 PM - chris.fulton

- Status changed from Resolved to Closed
